clc;
clear all;
class_type='status';
points=csvread(strcat('../../../data/R3/Level- 3/categorization_miRNA(RPMlog2)/5. Clinical Status/STAD_miRseq_mature_clinicalstatus_level3.csv'), 1, 1);
[n d]=size(points);
data=points(:,1:size(points,2)-1);
cl=points(:,size(points,2));

name='mrmr';
[commonFeatures]=feast(name,d-1,data,cl);
file = strcat('../../../Results/',class_type,'_',name,'.csv');
csvwrite(file,commonFeatures);

name='mim';
[commonFeatures]=feast(name,d-1,data,cl);
file = strcat('../../../Results/',class_type,'_',name,'.csv');
csvwrite(file,commonFeatures);

name='jmi';
[commonFeatures]=feast(name,d-1,data,cl);
file = strcat('../../../Results/',class_type,'_',name,'.csv');
csvwrite(file,commonFeatures);

name='mifs';
[commonFeatures]=feast(name,d-1,data,cl,0.7);
file = strcat('../../../Results/',class_type,'_',name,'.csv');
csvwrite(file,commonFeatures);

name='cmim';
[commonFeatures]=feast(name,d-1,data,cl);
file = strcat('../../../Results/',class_type,'_',name,'.csv');
csvwrite(file,commonFeatures);

name='disr';
[commonFeatures]=feast(name,d-1,data,cl);
file = strcat('../../../Results/',class_type,'_',name,'.csv');
csvwrite(file,commonFeatures);

name='cife';
[commonFeatures]=feast(name,d-1,data,cl);
file = strcat('../../../Results/',class_type,'_',name,'.csv');
csvwrite(file,commonFeatures);

name='icap';
[commonFeatures]=feast(name,d-1,data,cl);
file = strcat('../../../Results/',class_type,'_',name,'.csv');
csvwrite(file,commonFeatures);

name='condred';
[commonFeatures]=feast(name,d-1,data,cl);
file = strcat('../../../Results/',class_type,'_',name,'.csv');
csvwrite(file,commonFeatures);

name='cmi';
[commonFeatures]=feast(name,d-1,data,cl);
file = strcat('../../../Results/',class_type,'_',name,'.csv');
csvwrite(file,commonFeatures);